Get Token Contract Metadata by Contracts
POST
Retrieves metadata for specific ERC20 contracts. Multiple contracts can be queried, up to a maximum of 100 contracts.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
contractAddressesarrayrequired
Parameter specifying an array of contract addresses to query. Contract addresses can be entered as 40-character hexadecimal strings starting with 0x.Responses
addressstringrequired
A field representing the contract address.deployedTransactionHashstringrequired
A field representing the hash of the transaction in which the contract was deployed.deployedAtstringrequired
A field representing the time when the contract was deployed. This field is provided in ISO 8601 date and time format.deployerAddressstringrequired
A field representing the address that deployed the contract.logoUrlstringrequired
A field representing the logo URL of the contract. This URL can be used to visually identify the contract. [Note] Not all contracts have logo images available. If a contract has no logo, this field is provided as null.typestringrequired
A field representing the type of the contract. Contract types are denoted by standard specification names (e.g., ERC721, ERC1155, ERC20, ERC721, ERC1155, ERC20).namestringrequired
A field representing the name of the contract. Returns an empty string if the contract does not follow the standard or if name was not provided at contract creation.symbolstringrequired
A field representing the symbol of the contract. Returns an empty string if the contract does not follow the standard or if symbol was not provided at contract creation.totalSupplystring
A field representing the total supply of the contract. This value indicates the total token supply and is provided as a decimal string. Included in the response only when the contract type is ERC20.decimalsinteger
A field representing the decimal places of the contract. Included in the response only when the contract type is ERC20 or ERC1155.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/token/getTokenContractMetadataByContracts' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"contractAddresses": ["0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D","0x60E4d786628Fea6478F785A6d7e704777c86a7c6"]}'